const n = (t) => {
  try {
    if (t instanceof Date)
      return isNaN(t.getTime()) ? null : t;
    if (typeof t == "string") {
      const e = new Date(t);
      return isNaN(e.getTime()) ? null : e;
    }
    return null;
  } catch {
    return null;
  }
};
export {
  n as getValidDate
};
